summaryrefslogtreecommitdiff
path: root/iwd/install-patch-uk-fix.sh
diff options
context:
space:
mode:
Diffstat (limited to 'iwd/install-patch-uk-fix.sh')
-rwxr-xr-xiwd/install-patch-uk-fix.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/iwd/install-patch-uk-fix.sh b/iwd/install-patch-uk-fix.sh
index 024adbb..27b1711 100755
--- a/iwd/install-patch-uk-fix.sh
+++ b/iwd/install-patch-uk-fix.sh
@@ -25,8 +25,8 @@ patch_url="http://www.sorcerers.net/Games2/IWD/iwdukpatch.exe"
patch_name="iwdukpatch.exe"
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/patch-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
parseargs "$@"
@@ -36,8 +36,8 @@ setuptmp
getpatch $patch_url
-cabextract -L -s $TMPDIR/$patch_name -d $TMPDIR || diesoftly
-cp -R $TMPDIR/override/* "$TARGETDIR"/override || diesoftly
+cabextract -L -s "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
+cp -R "${TMPDIR}/override/"* "${TARGETDIR}/override" || diesoftly
cleanuptmp
setperms "$TARGETDIR"